## pmccabe 2.2-3

=== debian/changelog ===
pmccabe (2.2-3) unstable; urgency=low

  * tweek for running under buildd and whenever pmccabe not installed
    and . not in $PATH

 -- Paul Bame <bame@debian.org>  Wed, 12 Mar 2003 14:05:33 -0700

pmccabe (2.2-2) unstable; urgency=low

  * Tweek debian/copyright to follow policy

 -- Paul Bame <bame@debian.org>  Sun, 23 Feb 2003 13:03:18 -0700

pmccabe (2.2-1) unstable; urgency=low

  * Initial public release.
  * Closes: #177749

 -- Paul Bame <bame@debian.org>  Tue, 17 Dec 2002 10:07:41 -0700

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/pmccabe.sgml > pmccabe.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pmccabe.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pmccabe

	dh_movefiles --sourcedir=debian/pmccabe

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs ChangeLog -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pmccabe 2.3-1

=== debian/changelog ===
pmccabe (2.3-1) unstable; urgency=low

  * you can use "class" as an identifier in C code now.  Thanks to
    xianjie zhang for an excellent bug report.
  * closes: 340368

 -- Paul Bame <bame@debian.org>  Wed, 26 Nov 2003 12:06:55 -0700

## pmccabe 2.6

=== Makefile ===
# Copyright (c) 2002 Hewlett-Packard under GPL version 2 or later
CFILES=\
	cparse.c      dmain.c	    gettoken.c	  nmain.c	pmccabe.c \
	getopt.c	    io.c

OFILES=$(CFILES:.c=.o)

INCLUDES=config.h dmain.h getopt.h pmccabe.h

###############{

# On HP-UX you will have to change this
INSTALL = install -o root -g root

DESTDIR = 

PROGS = codechanges pmccabe decomment vifn

MANPGS = codechanges.1 pmccabe.1 vifn.1 decomment.1

DOCS = TODO ChangeLog COPYING

PMOBJS	      = cparse.o \
		dmain.o \
		gettoken.o \
		io.o \
		nmain.o \
		pmccabe.o

all:		$(PROGS) test

test:		$(PROGS)
		./testsuite

pmccabe:	$(PMOBJS)
	$(CC) $(CFLAGS) -o pmccabe $(PMOBJS)

clean:
	rm -f *.[oa] pmccabe decomment *.out */*.out

install: $(PROGS) $(MANPGS) $(DOCS)
	$(INSTALL) -d $(DESTDIR)/usr/share/doc/pmccabe \
			$(DESTDIR)/usr/share/man/man1 \
			$(DESTDIR)/usr/bin
	$(INSTALL) -m 644 $(MANPGS) $(DESTDIR)/usr/share/man/man1
	#$(INSTALL) -m 644 $(DOCS)  $(DESTDIR)/usr/share/doc/pmccabe
	$(INSTALL) -m 755 $(PROGS) $(DESTDIR)/usr/bin

###############}

getopt.o :		config.h getopt.h

dmain.o \
io.o :		dmain.h pmccabe.h

cparse.o \
gettoken.o \
nmain.o :		pmccabe.h dmain.h

pmccabe.o :		pmccabe.h getopt.h

## pmccabe 2.4

=== debian/changelog ===
pmccabe (2.4) unstable; urgency=low

  * add support for C++ namespaces

 -- Paul Bame <bame@riverrock.org>  Mon, 13 Aug 2007 21:14:22 -0600

=== debian/control ===
Source: pmccabe
Section: devel
Priority: optional
Maintainer: Paul Bame <bame@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: pmccabe
Architecture: any
Depends: ${shlibs:Depends}
Description: McCabe-style function complexity and line counting for C and C++
 Pmccabe calculates McCabe-style cyclomatic complexity for C and C++
 source code.  Per-function complexity may be used for spotting likely
 trouble spots and for estimating testing effort.
 .
 Pmccabe also includes a non-commented line counter compatible with anac,
 'decomment' which only removes comments from source code; 'codechanges',
 a program to calculate the amount of change which has occurred between
 two source trees or files; and 'vifn', to invoke 'vi' given a function
 name rather than a file name.
 .
 Pmccabe attempts to calculate the apparent complexity rather
 than the complexity following the C++ and/or cpp preprocessors.
 This causes Pmccabe to become confused with cpp constructs which
 cause unmatched curly braces - most of which can profitably be
 rewritten so they won't confuse prettyprinters anyway.  Pmccabe prints
 C-compiler-style error messages when the parser gets confused so they
 may be browsed with standard tools.
 .
 Two types of cyclomatic complexity are generated - one type counts
 each switch() statement as regardless of the number of cases included and
 the other more traditional measure counts each case within the switch().
 Pmccabe also calculates the starting line for each function, the number of
 lines consumed by the function, and the number of C statements within the
 function.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5

## pmccabe 2.4+nmu1

=== debian/changelog ===
pmccabe (2.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in 'codechanges' script (Closes: #465351)
  * Bump Standards-Version to 3.7.3.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 04:59:33 +0100

## pmccabe 2.4+nmu2

=== debian/changelog ===
pmccabe (2.4+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in codechanges /bin/sh script (Closes: #486054)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 09 Sep 2008 03:36:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Paul Bame <bame@debian.org>
 Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Standards-Version: 3.7.3
 
 Package: pmccabe
 Architecture: any

## pmccabe 2.6

=== debian/changelog ===
pmccabe (2.6) unstable; urgency=low

  * From Ubuntu:
  * Fixed 364338 pdiff script change has bug
  * Fixed 499589 infinite loop with namespaced struct variable declaration
  * Thanks to matt_hargett for bugs and patches
  * Fixed a problem parsing DOS-format CRLF files
  * Updated deb stds version and fixed some lintian warnings

 -- Paul Bame <bame@debian.org>  Fri, 06 Aug 2010 14:18:25 -0400

pmccabe (2.5) unstable; urgency=low

  * updated codechanges and pdiff to be bashism safe
  * updated test files
  * bump Build-Depends debhelper 3->5

 -- Paul Bame <bame@debian.org>  Wed, 30 Jul 2008 15:21:28 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Paul Bame <bame@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>> 5.0.0)
+Standards-Version: 3.9.1
 
 Package: pmccabe
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: McCabe-style function complexity and line counting for C and C++
  Pmccabe calculates McCabe-style cyclomatic complexity for C and C++
  source code.  Per-function complexity may be used for spotting likely

## pmccabe 2.6build1

=== debian/changelog ===
pmccabe (2.6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:39:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pmccabe
 Section: devel
 Priority: optional
-Maintainer: Paul Bame <bame@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Bame <bame@debian.org>
 Build-Depends: debhelper (>> 5.0.0)
 Standards-Version: 3.9.1

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,6 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=5
-
-
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -33,7 +28,6 @@
 build-arch-stamp:
 	dh_testdir
 
-	# Add here command to compile/build the package.
 	$(MAKE)
 
 	touch build-arch-stamp
@@ -57,7 +51,7 @@
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## pmccabe 2.8

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 	getopt.c	    io.c
 
 OFILES=$(CFILES:.c=.o)
+
+CFLAGS = -Wall -Wextra -O3 -fwhole-program
 
 INCLUDES=config.h dmain.h getopt.h pmccabe.h
 
@@ -18,22 +20,20 @@
 
 MANPGS = codechanges.1 pmccabe.1 vifn.1 decomment.1
 
-DOCS = TODO ChangeLog COPYING
+DOCS = TODO NEWS COPYING
 
-PMOBJS	      = cparse.o \
-		dmain.o \
-		gettoken.o \
-		io.o \
-		nmain.o \
-		pmccabe.o
+PMOBJS	      = combined.o
 
-all:		$(PROGS) test
+all:		$(PROGS)
 
 test:		$(PROGS)
-		./testsuite
+		cd tests && ./testsuite
 
 pmccabe:	$(PMOBJS)
 	$(CC) $(CFLAGS) -o pmccabe $(PMOBJS)
+
+combined.o:	$(CFILES)
+	$(CC) $(CFLAGS) -c combined.c
 
 clean:
 	rm -f *.[oa] pmccabe decomment *.out */*.out
@@ -45,6 +45,9 @@
 	$(INSTALL) -m 644 $(MANPGS) $(DESTDIR)/usr/share/man/man1
 	#$(INSTALL) -m 644 $(DOCS)  $(DESTDIR)/usr/share/doc/pmccabe
 	$(INSTALL) -m 755 $(PROGS) $(DESTDIR)/usr/bin
+
+indent:
+	indent -bap -bad -d0 -bli0 -nce -cli0 -ss -npcs -bs -di1 -nbc -psl -i4 -lp -ip0 -nfca -nfc1 *.c *.h
 
 ###############}

=== debian/changelog ===
pmccabe (2.8-2) unstable; urgency=medium

  * Apply upstream patches to self-test to make it fail when it should.
  * Apply upstream 'make clean' patch to fix --twice build.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 23 Jan 2021 18:51:56 +0100

pmccabe (2.8-1) unstable; urgency=medium

  * Update URLs for new upstream location.
  * Update paths in autopkgtest self-tests.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 18 Jan 2021 20:38:06 +0100

pmccabe (2.7b-2) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Let dpkg's buildtools.mk initialize CC. (Closes: #980187)

  [ Simon Josefsson ]
  * Don't specify build targets any more, fixed upstream.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Jan 2021 09:45:19 +0100

pmccabe (2.7b-1) unstable; urgency=low

  * New release from new upstream.
    - Fixes FTBFS on arch's with unsigned char.
    - Fixes typos, silencing lintian typo-in-manual-page.
  * Add autopkg testing using upstream regression test suite.
  * Update watch file.
  * Put NEWS and README file into /usr/share/doc/pmccabe/.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 14 Jan 2021 14:12:08 +0100

pmccabe (2.7-3) unstable; urgency=low

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Jan 2021 19:50:46 +0100

pmccabe (2.7-2) experimental; urgency=low

  * Add new Homepage: URL.
  * Bump Standards-Version to 4.5.1.
  * Rewrite debian/rules to invoke dh.
  * Replace debian/compat (5) with debhelper-compat (13).  Closes: #965780.
  * Use debian/source/format 3.0 (quilt).
  * Add debian/upstream/metadata.
  * Add Rules-Requires-Root: no.
  * Fix some lintian warnings.
  * Add Vcs-Browser and Vcs-Git.
  * Use DEP5 debian/copyright.
  * Build with hardening.
  * Fix FTCBFS, patch from Helmut Grohne. Closes: #948131.
    + Specify targets to dh_auto_build as it defaults to including tests.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Dec 2020 17:51:11 +0100

pmccabe (2.7-1) experimental; urgency=low

  * Add myself as Uploader.
  * Add watch file.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Dec 2020 15:07:19 +0100

pmccabe (2.7) unstable; urgency=low

  * moved web site to http://people.debian.org/~bame/pmccabe
  * Fix bugs from Ahmad Jbara <ahmadjbara@gmail.com>
    1. no longer counts ^ as part of complexity like &&
    2. statement count now includes # of switch (but not case) statements
       which will break people's regression tests WARNING! WARNING!
  * Inspired by and/or code donated by Matt Hargett:
  * (LP: #499591) "add threshold capability" from Matt Hargett
  * (LP: #659550) -
  * added -x/-X options to select the old or Matt's "cpp" algorithm
  * WARNING WARNING WARNING!!!! in version 2.8, -X will become the
    default and which will likely break people's existing regression tests
  * used indent(1) to format the source -st -bap -bad -d0 -bli0 -nce
    -cli0 -ss -npcs -bs -di1 -nbc -psl -i4 -lp -ip0 -nfca -nfc1
  * made some things boolean and fixed a bunch of compiler warnings
  * added -fwhole-program speedup

 -- Paul Bame <bame@debian.org>  Fri, 20 May 2011 17:37:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: pmccabe
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Bame <bame@debian.org>
-Build-Depends: debhelper (>> 5.0.0)
-Standards-Version: 3.9.1
+Maintainer: Paul Bame <bame@debian.org>
+Uploaders: Simon Josefsson <simon@josefsson.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Homepage: https://gitlab.com/pmccabe/pmccabe
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/jas/pmccabe
+Vcs-Git: https://salsa.debian.org/jas/pmccabe.git
 
 Package: pmccabe
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: McCabe-style function complexity and line counting for C and C++
  Pmccabe calculates McCabe-style cyclomatic complexity for C and C++
  source code.  Per-function complexity may be used for spotting likely

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC="$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

=== debian/watch ===
version=4
https://gitlab.com/pmccabe/pmccabe/-/tags?sort=updated_desc .*/archive/v[0-9a-z.]+/@PACKAGE@-v@ANY_VERSION@.tar.gz
